function v = eternity_vertex_xy ( )

%*****************************************************************************80
%
%% eternity_vertex_xy() returns (x,y) coordinates of Eternity grid vertices.
%
%  Discussion:
%
%    The Eternity grid is a dodecagon, and has 12 vertices.
%
%  Licensing:
%
%    This code is distributed under the GNU LGPL license.
%
%  Modified:
%
%    11 December 2020
%
%  Author:
%
%    John Burkardt
%
%  Output:
%
%    real V(12,2): the (x,y) coordinates of the vertices.
%
  v = ...
  [ ...
     13.0,   3.464102; ...
      9.5,   9.526279; ...
      3.5,  13.0; ...
     -3.5,  13.0; ...
     -9.5,   9.526279; ...
    -13.0,   3.464102; ...
    -13.0,  -3.464102; ...
     -9.5,  -9.526279; ...
     -3.5, -13.0; ...
      3.5, -13.0; ...
      9.5,  -9.526279; ...
     13.0,  -3.464102  ...
  ];

  return
end

